<?php
	
	//Consultar
	$json = '';

	switch($path_info['call_parts'][1]) {
		
		case 'Usuario': 
			$usuario = $path_info['call_parts'][2];

			switch($path_info['call_parts'][3]) {
				case 'Social_Monitor': 
					$clave = 'x';
					if (isset($path_info['call_parts'][4])) {
						$clave = $path_info['call_parts'][4];
					}
					$datos = $dataset->consulta_general('usuarios','nick_twiter',$usuario,'dna',$clave);
					$json = genera_json('Usuario', $datos);
				break;
				case 'Twetter': 
					$datos = $dataset->consulta_general('usuarios_twitter','name',$usuario);
					$json = genera_json('Usuario', $datos);
				break;

				case 'Tweets': 
					$datos_twitter = $dataset->consulta_general('usuarios_twitter','screen_name',$usuario);
					$datos_twiter = array_de_datos($datos_twitter);
					$usr_tw = $datos_twiter['twitter_id'];
					//-- Parametros GET -- //
					if (isset($_GET['de']) && is_numeric($_GET['de'])) { $de = $_GET['de']; } else { $de = ''; }
					if (isset($_GET['a']) && is_numeric($_GET['a'])) { $a = $_GET['a']; } else { $a = ''; }
					// -- ------------- -- //

					$cuarta_variable = '';
					if (isset($path_info['call_parts'][4])) {
						$cuarta_variable = $path_info['call_parts'][4];
					}

					if (empty($cuarta_variable)){

						$datos = $dataset->consulta_general('tweets','twitter_id',$usr_tw, '', '', '', '', $de, $a);
					}
					else {

						switch($cuarta_variable) {
							case 'Fecha':
								$fecha = $path_info['call_parts'][5];
								$datos = $dataset->consulta_fecha('tweets', 'created_at', $fecha, 'twitter_id', $usr_tw);
							break;

							case 'Horas': 
								$fecha_actual = date("Y-m-d H:i:s");
								$horas_menos = $path_info['call_parts'][5];
								$fecha_menos = date("Y-m-d H:i:s",time()-($horas_menos*60*60));
								//echo $hora_actual.' Menos '.$horas_menos.' horas = '.$fecha_menos;
								$datos = $dataset->consulta_entre_fechas('tweets', 'created_at', $fecha_menos, $fecha_actual, 'twitter_id', $usr_tw);
							break;

							case 'Dias': 
								$fecha_actual = date("Y-m-d H:i:s");
								$dias_menos = $path_info['call_parts'][5];
								$dias_menos = $dias_menos*86400; // 86400 = 24*60*60 24 horas, 60 min, 60 seg.
								$fecha_menos = date("Y-m-d H:i:s",time()-($dias_menos));
								//echo $fecha_actual.' Menos '.$path_info['call_parts'][5].' dias = '.$fecha_menos;
								$datos = $dataset->consulta_entre_fechas('tweets', 'created_at', $fecha_menos, $fecha_actual, 'twitter_id', $usr_tw);
							break;

							case 'Semanas': 
								$fecha_actual = date("Y-m-d H:i:s");
								$semanas_menos = $path_info['call_parts'][5];
								$semanas_menos = $semanas_menos*7*86400;
								$fecha_menos = date("Y-m-d H:i:s",time()-($semanas_menos));
								//echo $fecha_actual.' Menos '.$path_info['call_parts'][5].' dias = '.$fecha_menos;
								$datos = $dataset->consulta_entre_fechas('tweets', 'created_at', $fecha_menos, $fecha_actual, 'twitter_id', $usr_tw);
							break;

							// case 'Meses': break;
						}
					}

					$json = genera_json('Usuario',$datos_twitter, 'Tweets', $datos);
				break;

				case 'Tweet':
					$num_tweet = $path_info['call_parts'][4];
					$datos_sm = $dataset->consulta_general('usuarios','nick_twiter',$usuario);
					$datos_sm = array_de_datos($datos_sm);
					$usr_id = $datos_sm['id_twitter'];

					$datos_tw = $dataset->consulta_general('usuarios_twitter','twitter_id',$usr_id);
					//print_r($datos_tw);
					$datos_t_a = $dataset->consulta_unida('tweets','tweets_analisis','tweet_id','tweet_id', 'tweet_id', $num_tweet, 'id_usuarios_twitter', $usr_id);

					$datos_cu = array_de_datos($datos_t_a);
					//print_r($datos_cu);
					$tweet_id = $datos_cu['tweet_id'];
					//echo '<hr>'.$tweet_id;
					//traer historico
					/*$arr = array();
					$arr['Tit_general'] = 'Analisis de Tweet del usuario';
					$arr['Usuario'] = $datos_tw;
					$arr['Favoritos']= $arr['datos_Favoritos']=$datos_t_a;
					print_r($arr);
					echo '<hr>';
					*/
					$datos_h = $dataset->consulta_general('tweets_historico','tweet_id',$tweet_id);

					$json = genera_json2('Analisis_Tweet_'.$num_tweet, $datos_t_a, 'Usuario', $datos_tw, 'Historico',$datos_h);

				break;

				case 'Favoritos': 
					$datos_sm = $dataset->consulta_general('usuarios','nick_twiter',$usuario);
					$datos_sm = array_de_datos($datos_sm);
					//print_r($datos_sm);
					$usr_id = $datos_sm['usr_twitter'];
					$datos_tw = $dataset->consulta_general('usuarios_twitter','id',$usr_id);
					//print_r($datos_tw);
					$datos = $dataset->consulta_unida('usuarios_x_usuarios_twitter','usuarios_twitter','id_usr_twitter','id', 'id_usr_sm', $usr_id);
					$json = genera_json('Favoritos',$datos_tw, 'A_Favoritos', $datos);
				break;

				case 'Twitter_Historicos': 
					$datos_twitter = $dataset->consulta_general('usuarios_twitter','name',$usuario);
					$datos_twiter = array_de_datos($datos_twitter);
					$usr_tw = $datos_twiter['twitter_id'];
					$datos = $dataset->consulta_general('usuarios_twitter_historico','twitter_id',$usr_tw);
					$json = genera_json('Usuario',$datos_twitter, 'Historico', $datos);
				break;


				default:
					$datos_sm = $dataset->consulta_general('Usuarios','nombre','yo');
				break;
			}
			
		break;
		
		//--No aplica--//
		case 'Home': 
			 
			 $usuario = $path_info['call_parts'][2];

			 if (empty($usuario)){
			 	$json = '{"Error":{"id":0,"Autor":"Rogelio Argumedo","Autor_Email":"rogelio@argumedo.mx","Estatus":"Error","Error_Tipo":"Error de SQL","Fecha":"'.date("Y-m-d H:i:s").'"}}';
			 }
			 else {
			 	//Busca usuario
			 	$datos_sm = $dataset->consulta_general('usuarios','dna',$usuario);
				$datos_sm = array_de_datos($datos_sm);
				//echo '<pre>'.print_r($datos_sm, true).'</pre>';
				$json_estatus = $datos_sm['Code_JSON'];
				if($json_estatus==200){
					$json = '{"Error":{"id":0,"Autor":"Rogelio Argumedo","Autor_Email":"rogelio@argumedo.mx","Estatus":"Error","Error_Tipo":"Error de SQL","Fecha":"'.date("Y-m-d H:i:s").'"}}';
				}
				if($json_estatus==100){
					$usr_default = $datos_sm['usuario_default'];

					//Armar Json para el Home - Twitter predefinido, Klout, Influenciado, por y Influenciandoo a, Sentimiento, Top 10, Topics Mexicoo y mundo
					$datos = $dataset->consulta_general('usuarios_twitter','screen_name',$usr_default);
					$datos_tw = array_de_datos($datos);
					

					// '.$datos_tw['profile_image_url'].'
					
			 		$json = '{"Social_Monitor": {"Twitter":{"twitter_imagen":"'.$datos_tw['profile_image_url'].'","twitter_nombre":"'.$datos_tw['name'].'","twitter_user": "'.$datos_tw['screen_name'].'","twitter_num": "'.$datos_tw['statuses_count'].'","twitter_followers": "'.$datos_tw['followers_count'].'","twitter_list": "'.$datos_tw['friends_count'].'","twitter_this_week": "+ 7","twitter_prom_week": "+0.36 %"},"Klout": {"klout_id" :"38843551552167564","klout_score" :"46.22","kloout_dia" :"-0.74","klout_semana" :"-1.21","klout_mes" :"-1.11"},"Klout_Influenciado_por":[{"klut_influenciado_por_img":"https:\/\/pbs.twimg.com\/profile_images\/414219711803432960\/VfrkHfhF_normal.png","klut_influenciado_por_liga":"http:\/\/twitter.com\/#!\/YouTube","klut_influenciado_por_nick":"@YouTube","klut_influenciado_por_val":"99"},{"klut_influenciado_por_img":"https:\/\/pbs.twimg.com\/profile_images\/378800000328647637\/ca2b932536ceddfe9af12e58406e3819_normal.jpeg","klut_influenciado_por_liga":"http:\/\/twitter.com\/#!\/ShareThis","klut_influenciado_por_nick":"@ShareThis","klut_influenciado_por_val":"88"},{"klut_influenciado_por_img":"https:\/\/pbs.twimg.com\/profile_images\/421352730158850048\/mwJ6NPpw_normal.jpeg","klut_influenciado_por_liga":"http:\/\/twitter.com\/#!\/cnnexpansion","klut_influenciado_por_nick":"@cnnexpansion","klut_influenciado_por_val":"70"},{"klut_influenciado_por_img":"https:\/\/pbs.twimg.com\/profile_images\/413336486323318784\/M5Wqma_e_normal.png","klut_influenciado_por_liga":"http:\/\/twitter.com\/#!\/NextelMX","klut_influenciado_por_nick":"@NextelMX","klut_influenciado_por_val":"64"},{"klut_influenciado_por_img":"https:\/\/pbs.twimg.com\/profile_images\/378800000694432108\/13b3c2348b2543fc1898f0c7281dac46_normal.jpeg","klut_influenciado_por_liga":"http:\/\/twitter.com\/#!\/IMPI_Mexico","klut_influenciado_por_nick":"@IMPI_Mexico","klut_influenciado_por_val":"59"}],"Klout_Influenciando_a":[{"klut_influenciando_a_img":"https:\/\/pbs.twimg.com\/profile_images\/3532483024\/dd931447eb7f6b2e92a22971dd516749_normal.jpeg","klut_influenciando_a_liga":"http:\/\/twitter.com\/#!\/s3ri4l","klut_influenciando_a_nick":"@s3ri4l","klut_influenciando_a_val":"42"},{"klut_influenciando_a_img":"https:\/\/pbs.twimg.com\/profile_images\/3190392949\/8c9fa138c96aa962018f7bb72c8b2f0a_normal.jpeg","klut_influenciando_a_liga":"http:\/\/twitter.com\/#!\/charlie_dice","klut_influenciando_a_nick":"@charlie_dice","klut_influenciando_a_val":"38"},{"klut_influenciando_a_img":"https:\/\/pbs.twimg.com\/profile_images\/439061168661876737\/w6oZLSb-_normal.jpeg","klut_influenciando_a_liga":"http:\/\/twitter.com\/#!\/Salvadorvo","klut_influenciando_a_nick":"@Salvadorvo","klut_influenciando_a_val":"37"},{"klut_influenciando_a_img":"https:\/\/pbs.twimg.com\/profile_images\/1868610925\/SAM_3817_-_copia_normal.JPG","klut_influenciando_a_liga":"http:\/\/twitter.com\/#!\/Lizy_Zertuche","klut_influenciando_a_nick":"@Lizy_Zertuche","klut_influenciando_a_val":"33"},{"klut_influenciando_a_img":"https:\/\/pbs.twimg.com\/profile_images\/2992678161\/57c43e3f4381a22e573c3eca27a62981_normal.jpeg","klut_influenciando_a_liga":"http:\/\/twitter.com\/#!\/Nextel_City","klut_influenciando_a_nick":"@Nextel_City","klut_influenciando_a_val":"32"}],"Sentimiento" : {"sentimiento": "Negativo","sentimiento_menciones": "50","sentimiento_positivo": "0","sentimiento_negativo": "1","sentimiento_neutral": "49"},"Top10" :[{"top10_id" :"1","top10_imagen" :"https:\/\/pbs.twimg.com\/profile_images\/378800000308743909\/c0ef1a6db444ad6bf39fe14682f50451_normal.png","top10_nombre" :"Telcel","top10_nick" :"Telcel","top10_followers" :"387491","top10_dif" :"+ 2256"},{"top10_id" :"2","top10_imagen" :"https:\/\/pbs.twimg.com\/profile_images\/378800000121000222\/852149775775e7a036d6eaabda1a2812_normal.jpeg","top10_nombre" :"Servicio Telcel","top10_nick" :"ServicioTelcel","top10_followers" :"62145","top10_dif" :"+ 558"},{"top10_id" :"3","top10_imagen" :"https:\/\/pbs.twimg.com\/profile_images\/1679476974\/avatar_gral_normal.png","top10_nombre" :"Iusacell M\u00c3\u00a9xico","top10_nick" :"IUSACELL","top10_followers" :"137801","top10_dif" :"+ 459"},{"top10_id" :"4","top10_imagen" :"https:\/\/pbs.twimg.com\/profile_images\/1443924815\/Logo_Movistar_Fb_Fanpage_Large2_normal.jpg","top10_nombre" :"Movistar M\u00c3\u00a9xico","top10_nick" :"MovistarMX","top10_followers" :"102973","top10_dif" :"+ 420"},{"top10_id" :"5","top10_imagen" :"https:\/\/pbs.twimg.com\/profile_images\/1239791283\/31097_118490061508373_115204311836948_193632_2725550_n.jpg_normal.jpeg","top10_nombre" :"Atenci\u00c3\u00b3n Movistar MX","top10_nick" :"MiMovistarMX","top10_followers" :"94926","top10_dif" :"+ 417"},{"top10_id" :"6","top10_imagen" :"https:\/\/pbs.twimg.com\/profile_images\/2780925060\/90eee06b10e2e979550c2f2722ecea1c_normal.png","top10_nombre" :"Iusacell 24\/7","top10_nick" :"Iusacell24_7","top10_followers" :"33818","top10_dif" :"+ 144"},{"top10_id" :"7","top10_imagen" :"https:\/\/pbs.twimg.com\/profile_images\/413336486323318784\/M5Wqma_e_normal.png","top10_nombre" :"Nextel de M\u00c3\u00a9xico","top10_nick" :"NextelMX","top10_followers" :"62984","top10_dif" :"+ 39"},{"top10_id" :"8","top10_imagen" :"https:\/\/pbs.twimg.com\/profile_images\/378800000236534613\/e39cd881cec7aca1cd355cd77dfd29ad_normal.jpeg","top10_nombre" :"Nextel Corporativo","top10_nick" :"NextelCorpMx","top10_followers" :"1943","top10_dif" :"+ 7"},{"top10_id" :"9","top10_imagen" :"https:\/\/pbs.twimg.com\/profile_images\/378800000507878769\/2994b89498400d52d539cb7385118326_normal.jpeg","top10_nombre" :"Nextel Fundaci\u00c3\u00b3n ","top10_nick" :"NextelFundacion","top10_followers" :"1326","top10_dif" :"+ 2"}],"Top_topics" : [{"topic" :"iphone 5s y 5c llegan"},{"topic" :"iphone 5s y 5c"},{"topic" :"iphone 5s y 5c llegarán"},{"topic" :"kika perdida"},{"topic" :"#huawei ascend"},{"topic" :"mate lo tiene"},{"topic" :"vallan anotando estr número"},{"topic" :"ana claudia talancón anuncia planes"},{"topic" :"quiero el iphone de nextel"},{"topic" :"se vende este nextel el"}],"Top_mexico": [{"top_mexico_link" :"http:\/\/twitter.com\/search?q=%23M%C3%A1sNacoQueElSelfieDeAdri%C3%A1nUribe","top_mexico_topic" :"#M\u00c3\u00a1sNacoQueElSelfieDeAd"},{"top_mexico_link" :"http:\/\/twitter.com\/search?q=%22Adri%C3%A1n+Uribe%22","top_mexico_topic" :"Adri\u00c3\u00a1n Uribe"},{"top_mexico_link" :"http:\/\/twitter.com\/search?q=%23TVyNovelas2014","top_mexico_topic" :"#TVyNovelas2014"},{"top_mexico_link" :"http:\/\/twitter.com\/search?q=%23W2Mcrewestamosconustedes","top_mexico_topic" :"#W2Mcrewestamosconustedes"},{"top_mexico_link" :"http:\/\/twitter.com\/search?q=%23XVLindio14","top_mexico_topic" :"#XVLindio14"},{"top_mexico_link" :"http:\/\/twitter.com\/search?q=%23PremiosTVyNovelas","top_mexico_topic" :"#PremiosTVyNovelas"},{"top_mexico_link" :"http:\/\/twitter.com\/search?q=%22Katy+Perry%22","top_mexico_topic" :"Katy Perry"},{"top_mexico_link" :"http:\/\/twitter.com\/search?q=X-Men","top_mexico_topic" :"X-Men"},{"top_mexico_link" :"http:\/\/twitter.com\/search?q=%C3%8Dndico","top_mexico_topic" :"\u00c3\u008dndico"},{"top_mexico_link" :"http:\/\/twitter.com\/search?q=M%C3%A9xico","top_mexico_topic" :"M\u00c3\u00a9xico"}],"Top_mundo": [{"top_mundo_link" :"http:\/\/twitter.com\/search?q=%238YearsofHannahMontana","top_mundo_topic" :"#8YearsofHannahMontana"},{"top_mundo_link" :"http:\/\/twitter.com\/search?q=%23%C4%B0%C3%A7imizeSinmiyor","top_mundo_topic" :"#\u00c4\u00b0\u00c3\u00a7imizeSinmiyor"},{"top_mundo_link" :"http:\/\/twitter.com\/search?q=%23temizse%C3%A7im","top_mundo_topic" :"#temizse\u00c3\u00a7im"},{"top_mundo_link" :"http:\/\/twitter.com\/search?q=%23AbrahamMateoA3","top_mundo_topic" :"#AbrahamMateoA3"},{"top_mundo_link" :"http:\/\/twitter.com\/search?q=%23AprendiA","top_mundo_topic" :"#AprendiA"},{"top_mundo_link" :"http:\/\/twitter.com\/search?q=%22Freak+Show%22","top_mundo_topic" :"Freak Show"},{"top_mundo_link" :"http:\/\/twitter.com\/search?q=%22Terrelle+Pryor%22","top_mundo_topic" :"Terrelle Pryor"},{"top_mundo_link" :"http:\/\/twitter.com\/search?q=Clevedon","top_mundo_topic" :"Clevedon"},{"top_mundo_link" :"http:\/\/twitter.com\/search?q=Kelly","top_mundo_topic" :"Kelly"},{"top_mundo_link" :"http:\/\/twitter.com\/search?q=%22Ricardo+S%C3%A1nchez%22","top_mundo_topic" :"Ricardo S\u00c3\u00a1nchez"}]}} ';
			 	}
			 }
		break;
	

		default:
			$datos_sm = $dataset->consulta_general('Usuarios','nombre','yo');
		break;
	}

	echo $json;
		//$datos = $dataset->consulta_general($tabla);
	

?>