<?php
	
	// -- -- -- Verifica URL -- -- -- //
	function parse_path() {
 		$path = array();
 		if (isset($_SERVER['REQUEST_URI'])) {

 			$request_path = explode('?', $_SERVER['REQUEST_URI']);

		  	$path['base'] = rtrim(dirname($_SERVER['SCRIPT_NAME']), '\/');
		  	$path['call_utf8'] = substr(urldecode($request_path[0]), strlen($path['base']) + 1);
		  	$path['call'] = utf8_decode($path['call_utf8']);
		  	if ($path['call'] == basename($_SERVER['PHP_SELF'])) {
		  		$path['call'] = '';
		  	}
		  	$path['call_parts'] = explode('/', $path['call']);
		  	if (count($request_path)>1){
			  	$path['query_utf8'] = urldecode($request_path[1]);
			  	$path['query'] = utf8_decode(urldecode($request_path[1]));
			  	$vars = explode('&', $path['query']);
			  	foreach ($vars as $var) {
			  		$t = explode('=', $var);
			  		$path['query_vars'][$t[0]] = $t[1];
			  	}
			}
		}
		return $path;
	}


	// -- -- -- Genera base de JSON -- -- -- //
	function base_json($datos){
		$valores = '';
		foreach($datos as $ind1=>$valor1) {
			$valores .= '';
			$valores2 = '';
			foreach($valor1 as $ind2=>$valor2) {
				$valores2 .= '"'.$ind2.'":"'.$valor2.'",';
			};
			$valores2 = substr($valores2, 0, -1);
			$valores .= $valores2.',';
		};
		$valores = substr($valores, 0, -1);

		return $valores;
	}

	function base_json_multi($datos){
		$valores = '';
		foreach($datos as $ind1=>$valor1) {
			$valores .= '';
			$valores2 = '{';
			foreach($valor1 as $ind2=>$valor2) {
				$valores2 .= '"'.$ind2.'":"'.$valor2.'",';
			};
			$valores2 = substr($valores2, 0, -1);
			$valores .= $valores2.'},';
		};
		$valores = substr($valores, 0, -1);

		return $valores;
	}

	// -- -- -- Genera JSON -- -- -- //
	function genera_json($titulo1, $datos1, $titulo2='', $datos2=''){
		$tipo1 = substr($titulo1, 0, 2);

		if($tipo1=='A_') {
			$valores1 = base_json_multi($datos1);
			$titulo1 = substr($titulo1, 2);
		}else{
			$valores1 = base_json($datos1);
		}

		$segundo_criterio = '';
		if($titulo2 !='' && $datos2 !='') { 
			$tipo2 = substr($titulo2, 0, 2);
			if($tipo2=='A_') {
				$valores2 = base_json_multi($datos2);
				$titulo2 = substr($titulo2, 2);
			}else{
				$valores2 = base_json($datos2);
			}
			$segundo_criterio = '"'.$titulo2.'":['.$valores2.'],'; 
		}
		$resultado = '{"Titulo_JSON":"'.$titulo1.'", "Fecha_JSON":"'.date("Y-m-d H:i:s").'",'.$valores1.','.$segundo_criterio.' "Estatus":"OK"}';
		return $resultado;
	}

	// -- -- -- Genera JSON 2 -- -- -- //
	function genera_json2($titulo1, $datos1, $titulo2='', $datos2='', $titulo3='', $datos3=''){

		$valores1 = base_json($datos1);

		$segundo_criterio = '';
		if($titulo2 !='' && $datos2 !='') { 
			$valores2 = base_json($datos2);
			$segundo_criterio = '"'.$titulo2.'":['.$valores2.']'; 
		}

		$tercer_criterio = '';
		if($titulo3 !='' && $datos3 !='') { 
			$valores3 = base_json($datos3);
			$tercer_criterio = '"'.$titulo3.'":['.$valores3.'],'; 
		}

		$resultado = '{"'.$titulo1.'":'.$valores1.','.$segundo_criterio.','.$tercer_criterio.' "Fecha":"'.date("Y-m-d H:i:s").'","Estatus":"OK"}';

		return $resultado;
	}

	// -- -- -- Genera JSON de Array -- -- -- //
	function genera_json_array($titulo, $datos){

		$valores1 = base_json($datos1);

		$segundo_criterio = '';
		if($titulo2 !='' && $datos2 !='') { 
			$valores2 = base_json($datos2);
			$segundo_criterio = '"'.$titulo2.'":['.$valores2.'],'; 
		}

		$resultado = '{"'.$titulo.'":'.$valores1.', "Fecha":"'.date("Y-m-d H:i:s").'","Estatus":"OK"}';

		return $resultado;
	}
	

	// -- -- -- Genera array de datos -- -- -- //
	function array_de_datos($datos){
		$array_datos = array();
		foreach($datos as $ind1=>$valor1) {
			foreach($valor1 as $ind2=>$valor2) {
				$array_datos[$ind2] = $valor2;
			};
		};
		//print_r($array_datos);
		return $array_datos;
	}
/*
	require_once 'include/TwitterAPI.php';

	$settings = array(
	    'oauth_access_token' => "11093492-03LjvkdIbyrkAperultxdYa8fCemO80ZKdWFIeKKo",
	    'oauth_access_token_secret' => "eaw3hvry1Ggz8UcBTiXgxGyhKQ0Q3xTcO7mfc0EWdtNR3",
	    'consumer_key' => "8NDQHXNfkRCkJZLio2IX2Q",
	    'consumer_secret' => "VnQSG5aWLNA2kUWsi7oL8zRx1OcjmJf6jO0TBdPNA1Y"
	);
*/
?>